# Generated by Django 4.0.4 on 2022-05-04 05:43

from django.db import migrations, models
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="WebMessage",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("messageTitle", models.TextField(help_text="Message title to users")),
                (
                    "messageAbstract",
                    models.TextField(
                        default="",
                        help_text="Message abtract to users (used in actuality area (home page))",
                    ),
                ),
                (
                    "messageAlert",
                    models.TextField(
                        blank=True,
                        help_text="Leave blank if you do not wish to see it in the alert area. This text should be short.",
                        null=True,
                    ),
                ),
                (
                    "messageContent",
                    models.JSONField(
                        blank=True,
                        help_text="Message content. This is the full text to be displayed to users",
                        null=True,
                    ),
                ),
                (
                    "messageColor",
                    models.CharField(
                        choices=[
                            ("text-white bg-primary", "blue"),
                            ("text-white bg-secondary", "grey"),
                            ("text-white bg-success", "green"),
                            ("text-white bg-danger", "red"),
                            ("text-white bg-dark", "black"),
                            ("text-dark bg-warning", "yellow"),
                            ("text-dark bg-info", "light blue"),
                            ("text-dark bg-light", "light grey"),
                        ],
                        default="text-dark bg-light",
                        help_text="Message color",
                        max_length=200,
                    ),
                ),
                (
                    "messageIcon",
                    models.CharField(
                        default='<i class="fa-solid fa-message"></i>',
                        help_text="Message icon from fontawesome v6 (free)",
                        max_length=500,
                    ),
                ),
                (
                    "messageCategory",
                    models.CharField(
                        choices=[
                            ("information", "information"),
                            ("warning", "warning"),
                            ("success", "success"),
                            ("danger", "danger"),
                            ("news", "news"),
                            ("other", "other"),
                        ],
                        default="other",
                        help_text="Message category",
                        max_length=200,
                    ),
                ),
                (
                    "messageDateCreation",
                    models.DateTimeField(
                        default=django.utils.timezone.now,
                        help_text="Message creation date",
                    ),
                ),
                (
                    "messageDateArchive",
                    models.DateTimeField(
                        blank=True,
                        default=None,
                        help_text="Message archive date",
                        null=True,
                    ),
                ),
                (
                    "messagePin",
                    models.BooleanField(default=False, help_text="Pin the message"),
                ),
            ],
        ),
    ]
